function [f,g,h]=smd4_10D(xu,xl,k)
    
p=3;q=3;r=2;
if nargin == 0
    prob.name = mfilename;
    prob.Upper_opt = 0;
    prob.Lower_opt = 0;
    ux=p+r;lx=q+r;
	prob.nxu = ux;
    prob.nxl = lx;
	prob.nf = 1;   %upper level
    prob.nfl=1;    %lower level
	prob.ng = 0;   %upper level
    prob.ngl=0;    %lower level
    prob.pqr = [1 2 1];
	prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    %variable for u2
    for i=1:r
        prob.rangexu(ind,:) = [-1,1];
        ind=ind+1;
    end
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end 
   %variable for l2
    for i=1:r
        prob.rangexl(ind,:) = [0,exp(1)];
        ind=ind+1;
    end
    f = prob;
else
    if k == 1
    	[f,g,h] = smd4_10D_true_ul(xu,xl, p,q,r);
    elseif k==2
        [f,g,h] = smd4_10D_true_ll(xu,xl, p,q,r);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd4_10D_true_ul(xu,xl,p,q,r)

xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

    
    f_ul = sum((xu1).^2) - sum((xl1).^2) + sum((xu2).^2) - sum((abs(xu2) - log10(1+xl2)).^2);

    
    f=f_ul;
    g =0;
    h=0;

return

function [f,g,h]= smd4_10D_true_ll(xu,xl,p,q,r)

f1=0;f2=0;f3=0;
xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

  
    f_ll = sum((xu1).^2) + q + sum(xl1.^2 - cos(2*pi*xl1)) + sum((abs(xu2) - log10 (1+xl2)).^2);
    
    f = f_ll;
    g= 0;
    h=0;
   
return 