function [f,g,h]=smd8_modified_10D(xu,xl,k)
    
p=3;q=3;r=2;
if nargin == 0
    prob.name = mfilename;
    prob.Upper_opt = 0;
    prob.Lower_opt = 0;
    ux=p+r;lx=q+r;
	prob.nxu = ux;
    prob.nxl = lx;
	prob.nf = 1;   %upper level
    prob.nfl=1;    %lower level
	prob.ng = 0;   %upper level
    prob.ngl=0;    %lower level
    prob.pqr = [1 2 1];
	prob.rangexu = zeros(prob.nxu,2);
    prob.rangexl = zeros(prob.nxl,2);
    ind=1;
    %variable for u1
    for i = 1:p
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    %variable for u2
    for i=1:r
        prob.rangexu(ind,:) = [-5,10];
        ind=ind+1;
    end
    ind=1;
    %variable for l1
    for i=1:q
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end 
   %variable for l2
    for i=1:r
        prob.rangexl(ind,:) = [-5,10];
        ind=ind+1;
    end
    f = prob;
else
    if k == 1
    	[f,g,h] = smd8_modified_10D_true_ul(xu,xl, p,q,r);
    elseif k==2
        [f,g,h] = smd8_modified_10D_true_ll(xu,xl, p,q,r);
    else
        error('k can only be either 1(ul) or 2(ll)')
    end
end
return


function [f,g,h] = smd8_modified_10D_true_ul(xu,xl,p,q,r)

xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);

        term2 = 0;
    for i=1:q-1
        term2 = term2 + (xl1(i+1) - xl1(i).^2).^2 + (xl1(i) - 1).^2;
    end
    
    f_ul= 20+exp(1)-20*exp(-0.2*sqrt(1/p*sum((xu1).^2))) - exp(1/p*sum(cos(2*pi*xu1)))- term2 + sum((xu2).^2) - sum((xu2 - xl2.^3).^2);

    f=f_ul;
    g =0;
    h=0;

return

function [f,g,h]= smd8_modified_10D_true_ll(xu,xl,p,q,r)


xu1=xu(1:p);xu2=xu(p+1:p+r);xl1=xl(1:q);xl2=xl(q+1:end);
    %% Modified Zakharov Function
    d = size(xl1, 2);
    sum1 = 0;
    sum2 = 0;
    
    for ii = 1:d
        xi = xl1(:, ii);
        sum1 = sum1 + xi .^2;
        sum2 = sum2 + 0.5 .* ii .* xi;
    end
    
    f_Zakhraov = sum1 + sum2 .^ 2 + sum2 .^ 4;
    
    
    %% Mofified Lower Level Function
    f_l= sum(abs(xu1))+ f_Zakhraov + sum((xu2 - xl2.^3).^2);
    f = f_l;
    g = 0;
    h = 0;
   
return 